Name:           sugar-finance
Version:        8
Release:        1%{?dist}
Summary:        Financial planning for Sugar

Group:          Sugar/Activities
License:        GPLv3+
URL:            http://wiki.laptop.org/go/Finance
Source0:        http://download.sugarlabs.org/sources/honey/Finance/Finance-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  sugar-toolkit
BuildRequires:  gettext

Requires:       sugar


%description
Finance is a simple financial planning activity. It can be integrated 
into classroom assignments, or else used to track finances for a school
club. It might also be useful for students who wish to help their parents
with home finances.

The register view allows students to enter income and expenses, assign
categories, and review past transactions. The chart view shows students
a visual breakdown of their expenses by category. The budget view allows
users to assign a monthly budget to each category, and to see how each
month's expenses compare to the budget.


%prep
%setup -q -n Finance-%{version}
chmod -x {icons/help.svg,finance.py}


%build
python ./setup.py build


%install
python ./setup.py install --prefix=%{buildroot}/%{_prefix}
%find_lang org.laptop.community.Finance


%files -f org.laptop.community.Finance.lang
%defattr(-,root,root,-)
%doc COPYING NEWS TODO
%{sugaractivitydir}/Finance.activity/


%changelog
* Tue Jun  5 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 8-1
- Release 8

* Sat May  5 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 7-1
- Release 7

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 3-3
- recompiling .py files against Python 2.7 (rhbz#623369)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 20 2009 Fabian Affolter <fabian@bernewireless.net> - 3-1
- Updated to new upstream version 3
- Removed manual VCS checkout stuff
- Added URL for Source0
- Added translations

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.20090126
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 26 2009 Fabian Affolter <fabian@bernewireless.net> - 0-0.1.20090126
- Initial package for Fedora
